#ifndef VExitBox_h
#define VExitBox_h

/*! \brief VExitBox: Klasse zur Repräsentation der Exit Box.
	\sa VTransferFunctionElement.h
*/
class VExitBox
{
	/*! normale Farbe */
	float * color1;
	/*! highlight Farbe */
	float * color2;
	int x;
	int y;
	int width;
	bool ins;
	float * alpha;

public:
	/*! Konstruktor
		\param x x Position der Exitbox
		\param y y Position der Exitbox
		\param width Breite der Exitbox
		\param color1 normale Farbe
		\param color2 highlight Farbe (für Mouseover)
		\param alpha aktueller alpha Wert (für Blending)
	*/
	VExitBox(int,int,int,float*,float*,float*);
	void draw();
	void inside(int,int);
	bool isInside(int,int);
public:
	~VExitBox(void);
};

#endif
